Bug 251547 - misc/skyutils: updates to 3.0; takes MAINTAINERship
Summary: misc/skyutils: updates to 3.0; takes MAINTAINERship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://bsdforge.com/projects/misc/sk...
Keywords: buildisok, easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2020-12-02 22:53 UTC by Chris Hutchinson
Modified: 2020-12-04 08:11 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for misc/skyutils: updates to 3.0; tahe MAINTAINERship (3.24 KB, patch)
2020-12-02 22:53 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2020-12-02 22:53:36 UTC
Created attachment 220192 [details]
svn diff for misc/skyutils: updates to 3.0; tahe MAINTAINERship

This pr(1) updates misc/skyutils to 3.0.
While here take MAINTAINERship.

I just updated misc/smssend which also depends on
this port. So while I was updating smssend, I also
did some work on this port. This is the results.

Changelog (skyutils)

- documentation
- error handling
- make *all* source utf-8
- bump version
- things I've forgotten

port:
Makefile
distinfo
pkg-descr
pkg-plist
files/patch-configure.in (delete)
files/patch-configure.ac (add)

check-plist, stage-qa, check-sanity and portlint are all happy.

Works great.

NOTE: this port is currently maintained by ports@ so approval is implicit.

Thanks!

--Chris
Comment 1 Automation User 2020-12-02 23:12:16 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/224504261
Comment 2 Fernando Apesteguía freebsd_committer 2020-12-03 09:27:00 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Does this need to be committed before ports r251544?

Thanks!
Comment 3 Chris Hutchinson 2020-12-03 16:49:19 UTC
(In reply to Fernando Apesteguía from comment #2)
> Does this need to be committed before ports r251544?

Ideally, but not absolutely.
IOW misc/smssend will still build/work. But I made the
changes to misc/skyutils for a reason. :-)

Changelog URL added to this pr(1), as requested.

Thanks!

--Chris
Comment 4 commit-hook freebsd_committer 2020-12-04 08:09:57 UTC
A commit references this bug:

Author: fernape
Date: Fri Dec  4 08:09:49 UTC 2020
New revision: 556957
URL: https://svnweb.freebsd.org/changeset/ports/556957

Log:
  misc/skyutils: updates to 3.0 set MAINTAINER

  ChangeLog: https://bsdforge.com/projects/misc/skyutils/files/ChangeLog

  Submitter becomes maintainer.

  PR:	251547
  Submitted by:	portmaster@bsdforge.com

Changes:
  head/misc/skyutils/Makefile
  head/misc/skyutils/distinfo
  head/misc/skyutils/files/patch-configure.ac
  head/misc/skyutils/files/patch-configure.in
  head/misc/skyutils/pkg-descr
  head/misc/skyutils/pkg-plist
Comment 5 Fernando Apesteguía freebsd_committer 2020-12-04 08:11:03 UTC
Committed,

Thanks!